prev - up - next - index

# Float

  The class of floating-point numbers

## SuperClass:

  `Numeric`

## Included Modules:

  `Precision`

## Class Methods:

  `induced_from(num)`

    Converts num into `Float`.

## Methods:

  `self + other`
  `self - other`
  `self * other`
  `self / other`
  `self % other`
  `self ** other`

    Arithmetic operations.

  `self == other`
  `self < other`
  `self <= other`
  `self > other`
  `self >= other`

    Floating-point comparison.

  `ceil`

    Returns the smallest integer value not less than self.

  `floor`

    Returns the largest integer value not greater than self.

  `round`

    Rounds `self` to closest integer.

  `to_f`

    Returns the receiver, since Floats do not need any conversion.

prev - up - next - index

matz@netlab.co.jp